<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IO (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IO (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/IO.html" target="_top">Frames</a></li>
<li><a href="IO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Interface IO" class="title">Interface IO</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a>, <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io">GraphicIO</a>, <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IO</span>
extends <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a>, <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></pre>
<div class="block">Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> which extends from <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.

 This Interface is used by the Class <a href="../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> so that the Game
 can use the Methods of the Interfaces <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.2 July 14th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt, Kai Kuhlmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.towerwarspp.preset.Requestable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;towerwarspp.preset.<a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset">Requestable</a></h3>
<code><a href="../../towerwarspp/preset/Requestable.html#deliver--">deliver</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.towerwarspp.io.View">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;towerwarspp.io.<a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></h3>
<code><a href="../../towerwarspp/io/View.html#dialog-java.lang.String-">dialog</a>, <a href="../../towerwarspp/io/View.html#display-java.lang.String-">display</a>, <a href="../../towerwarspp/io/View.html#getSave--">getSave</a>, <a href="../../towerwarspp/io/View.html#getSaveGameName--">getSaveGameName</a>, <a href="../../towerwarspp/io/View.html#setTitle-java.lang.String-">setTitle</a>, <a href="../../towerwarspp/io/View.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a>, <a href="../../towerwarspp/io/View.html#visualize--">visualize</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/IO.html" target="_top">Frames</a></li>
<li><a href="IO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
